Este foro usa cookies
Este foro utiliza cookies para almacenar su información de inicio de sesión si está registrado y su última visita si no lo está. Las cookies son pequeños documentos de texto almacenados en su computadora; las cookies establecidas por este foro solo se pueden usar en este sitio web y no representan ningún riesgo de seguridad. Las cookies en este foro también rastrean los temas específicos que ha leído y la última vez que los leyó. Si Ud. continúa navegando, entenderemos que acepta todas las cookies.

Se almacenará una cookie en su navegador, independientemente de la elección, para evitar que se le vuelva a hacer esta pregunta. Podrá cambiar la configuración de sus cookies en cualquier momento utilizando el enlace en el pie de página.

Borrar este aviso
El foro antiguo se encuentra accesible desde https://foro.gambas-es.org en modo de solo lectura.

Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5

Ayuda para copilar VisorRV1960 en archilinux
#1

buenas,

como nadie ha echado luz de como copilar los proyectos para archilinux en distros como debian y sus derivados quisiera ver si alguien que use archilinux y gambas pudiera  copilar VisorRV1960 asi yo lo subo al servidor.
Estoy viendo de instalarlo virtualmente pero no el mismo archilinux que por lo que vi es un huevo instalarlo, pero no estoy seguro creo hay otra distribución basada en archi y que es mas amigable tal vez, esa pueda instalarla virtualmente y asi conseguir copilar.

sugerencias?

El tiempo de las manifestaciones caducó pero el boicot con auto sacrificio es el camino para derrotar al sistema.
#2

Hola, yo uso manjaro que esta basada en Arch y los paquetes de gambas que hago son para Arch.
Si te interesa creo el paquete y lo subo por acá, si se puede.
Saludos.
#3

el proyecto esta aca: https://sourceforge.net/projects/visorrv...z/download

prueba con ese y me cuentas.

yo estoy haciendo algunos intentos es que no conozco manjaro

la idea es que se pueda armar paquetes de visorrv1960 con la ultima versión estable de gambas3 en manjaro.

recién intente copilar y me tiro este error:

no se pudieron satisfacer las dependencias:
- incapaz de satisfacer la dependencia 'gambas3-gb-form-print>=3.15' requerida por visorrv1960
- incapaz de satisfacer la dependencia 'gambas3-gb-form-print<=3.99.0' requerida por visorrv1960
- incapaz de satisfacer la dependencia 'gambas3-gb-qt5-ext>=3.15' requerida por visorrv1960
- incapaz de satisfacer la dependencia 'gambas3-gb-qt5-ext<=3.99.0' requerida por visorrv1960

El tiempo de las manifestaciones caducó pero el boicot con auto sacrificio es el camino para derrotar al sistema.
#4

Lo empaquete, todo salio bien, pero tiene 6 mb y el foro no me deja subir archivos de este tamaño.
Queda un archivo de este nombre:
visorrv1960-0.8.2062-1-any.pkg.tar.xz
Saludos.
#5

mandalo a mi correo uno.cero@live.com

que versión de gambas tienes? como lo instalaste?

El tiempo de las manifestaciones caducó pero el boicot con auto sacrificio es el camino para derrotar al sistema.
#6

(24-08-2020, 03:20)kokodrilo escribió:  mandalo a mi correo uno.cero@live.com
que versión de gambas tienes? como lo instalaste?
Ok te lo mando a esa dirección.
No instale visor, solo empaquete.
La versión de gambas es 3.15.0
¿Cuando te daba el error a vos, al instalar el paquete o al crearlo?
Saludos.
#7

para empaquetar no me dio problema, el error fue al querer instalarlo, pero no me extraña, hay diferencia de versiones 3.15.0-1, con 3.15.1

la pregunta es si la ultima versión de gambas estable se puede instalar en manjaro, creo que copilando si, pero habrá otra forma, algún estilo de ppa, no se sigo buscando la forma.

El tiempo de las manifestaciones caducó pero el boicot con auto sacrificio es el camino para derrotar al sistema.
#8

El término correcto es compilar, no copilar. Al menos en España copilar no existe.

Saludos

Por favor, usa el corrector ortográfico antes de pulsar el botón 'Enviar'
#9

(31-08-2020, 23:05)jguardon escribió:  El término correcto es compilar, no copilar. Al menos en España copilar no existe.
Saludos
Si, es compilar, creo que a nuestro amigo se le olvido pasar el corrector ortográfico.
Además, siendo rigurosos, unprograma.gambas no es compilado, es "algo" que otro programa (que si esta compilado) interpreta y traduce a lenguaje de maquina.
En todo caso el tema debería llamarse, "Ayuda para empaquetar un programa gambas..." o algo por el estilo.
Saludos.
#10

Exacto, gambas compila en una especie de código intermedio que luego interpreta el ejecutable de gambas, el propio intérprete.

Pero para no ser tan "tiquis-miquis" podemos decir "compilar un ejecutable gambas" cuando creamos el ejecutable. Luego, está claro que hace falta el intérprete y las librerías pertinentes para que funcione.

De todos modos, disculpad mi manía de la ortografía correcta, no puedo evitarlo...  Big Grin

Saludos

Por favor, usa el corrector ortográfico antes de pulsar el botón 'Enviar'


Posibles temas similares…
Tema / Autor Respuestas Vistas Último mensaje

Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)